package usherbrooke.ift630;

public class Logger {
	private static Logger logger;

	private static final String RED		=  "\u001B[31m";
	private static final String GREEN	=  "\u001B[32m";
	private static final String YELLOW	=  "\u001B[33m";
	private static final String BLUE   	=  "\u001B[34m";
	private static final String PURPLE 	=  "\u001B[35m";
	private static final String CYAN   	=  "\u001B[36m";
	private static final String RESET  	=  "\u001B[0m" ;
	private static final String WHITE	=  "\u001B[0m";

	private String[] cols = {
			WHITE,
			RED,
			GREEN,
			YELLOW,
			BLUE,
			PURPLE,
			CYAN,
	};

	private Logger() {}

	public void printTime() {
		System.out.println(System.currentTimeMillis());
	}

	public void printTime(String s) {
		System.out.println(System.currentTimeMillis() +  s);
	}

	public void printTime(int c, String s) {
		System.out.println(cols[c % cols.length] +System.currentTimeMillis() +  s + RESET);
	}


	public void print(int c, String s) {
		System.out.println(cols[c % cols.length] + s + RESET);
	}
	
    public static Logger getInstance() {
        if(logger == null) {
            logger = new Logger();
        }
        
        return logger;
    }
}
